package de.oaa.xxx.games.chastity.cardlock;

public enum CardEnum {

	RED {
		@Override
		public Card get() {
			return new RedCard();
		}
	}, 
	GREEN {
		@Override
		public Card get() {
			return new GreenCard();
		}
	}, 
	YELLOW {
		@Override
		public Card get() {
			return new YellowCard();
		}
	},
	TASK {
		@Override
		public Card get() {
			return new TaskCard();
		}
	},
	FREEZE {
		@Override
		public Card get() {
			return new FreezeCard();
		}
	},
	RESET {
		@Override
		public Card get() {
			return new ResetCard();
		}
	},
	DOUBLE_UP {
		@Override
		public Card get() {
			return new DoubleUpCard();
		}
	},
	CUM {
		@Override
		public Card get() {
			return new CumCard();
		}
		
	}, 
	CUM_IN_CAGE {
		@Override
		public Card get() {
			return new CumInCageCard();
		}
	};
	
	
	public abstract Card get();
}
